## org.eclipse.datatools.modelbase.sql.routines
Interface Procedure

All Superinterfaces:
  Routine, SQLObject

All Known Implementing Classes:
  ProcedureImpl

public interface Procedure
extends Routine

A representation of the model object 'Procedure'. Reference: 5WD-02-Foundation-2002-12 4.27 SQL-invoked routines, 5WD-02-Foundation-2002-12 11.50

The following features are supported:

- `Max Result Sets`
- `Old Save Point`
- `Result Set`

See Also:
  `SQLRoutinesPackage.getProcedure()`

Method Summary
`int` `getMaxResultSets()` Returns the value of the 'Max Result Sets' attribute.
`EList` `getResultSet()` Returns the value of the 'Result Set' containment reference list.
`boolean` `isOldSavePoint()` Returns the value of the 'Old Save Point' attribute.
`void` `setMaxResultSets(int value)` Sets the value of the '`Max Result Sets`' attribute.
`void` `setOldSavePoint(boolean value)` Sets the value of the '`Old Save Point`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.routines.Routine

`getAuthorizationID, getCreationTS, getExternalName, getInputParameters, getLanguage, getLastAlteredTS, getOutputParameters, getParameters, getParameterStyle, getSchema, getSecurity, getSource, getSpecificName, getSqlDataAccess, isDeterministic, setAuthorizationID, setCreationTS, setDeterministic, setExternalName, setLanguage, setLastAlteredTS, setParameterStyle, setSchema, setSecurity, setSource, setSpecificName, setSqlDataAccess`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getMaxResultSets

    public int getMaxResultSets()

  Returns the value of the 'Max Result Sets' attribute. Maximun number of result sets the procedure can return. If the stored procedure returns more result sets than is specified by this value, then a database error will be generated. From 5WD-02-Foundation-2002-12 11.50 <dynamic result sets characteristic> ::= DYNAMIC RESULT SETS <maximum dynamic result sets>

  Returns:
    the value of the 'Max Result Sets' attribute.
  See Also:
    `setMaxResultSets(int)`, `SQLRoutinesPackage.getProcedure_MaxResultSets()`

### setMaxResultSets

    public void setMaxResultSets(int value)

  Sets the value of the '`Max Result Sets`' attribute.

  Parameters:
    `value` - the new value of the 'Max Result Sets' attribute.
  See Also:
    `getMaxResultSets()`

### isOldSavePoint

    public boolean isOldSavePoint()

  Returns the value of the 'Old Save Point' attribute. From 5WD-02-Foundation-2002-12 4.27 SQL-invoked routines An SQL-invoked procedure may optionally be specified to require a new savepoint level to be established when it is invoked and destroyed on return from the executed routine body. The alternative of not taking a savepoint can also be directly specified with OLD SAVEPOINT LEVEL . When an SQL-invoked function is invoked a new savepoint level is always established. 11.50 <savepoint level indication> ::= NEW SAVEPOINT LEVEL | OLD SAVEPOINT LEVEL

  Returns:
    the value of the 'Old Save Point' attribute.
  See Also:
    `setOldSavePoint(boolean)`, `SQLRoutinesPackage.getProcedure_OldSavePoint()`

### setOldSavePoint

    public void setOldSavePoint(boolean value)

  Sets the value of the '`Old Save Point`' attribute.

  Parameters:
    `value` - the new value of the 'Old Save Point' attribute.
  See Also:
    `isOldSavePoint()`

### getResultSet

    public EList getResultSet()

  Returns the value of the 'Result Set' containment reference list. The list contents are of type `RoutineResultTable`.

  If the meaning of the 'Result Set' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Result Set' containment reference list.
  See Also:
    `SQLRoutinesPackage.getProcedure_ResultSet()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.